Bug 244053 - POTFILES.in references inexistent files
Summary: POTFILES.in references inexistent files
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords: Reopened
Depends On:
Blocks: 436824
TreeView+ depends on / blocked
 
Reported: 2007-06-13 14:49 UTC by Dimitris Glezos
Modified: 2008-11-08 19:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-08 19:39:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dimitris Glezos 2007-06-13 14:49:22 UTC
## Description of problem:

POTFILES.in references some source files which don't exist in the SCM, making
automatic POT file generation fail. This makes the translation statistics page
of the Fedora Localization Project (FLP) fail for this module.

## How reproducible:

po$ intltool-update --pot
can't open ./../src/redhat-config-netboot.glade: No such file or directory at
/usr/bin/intltool-extract line 209.
can't open ./../redhat-config-netboot.desktop.in: No such file or directory at
/usr/bin/intltool-extract line 209.
/usr/bin/xgettext: error while opening "./../src/redhat-config-netboot.py" for
reading: No such file or directory
ERROR: xgettext failed to generate PO template file. Please consult
       error message above if there is any.

Comment 1 Dimitris Glezos 2007-06-13 14:57:57 UTC
Oops, wrong copy-paste (different bug report). Here is the correct one for
system-config-network:

/usr/bin/xgettext: error while opening "./.././src/version.py" for reading: No
such file or directory
ERROR: xgettext failed to generate PO template file. Please consult
       error message above if there is any.

Comment 2 Harald Hoyer 2007-06-13 15:33:24 UTC
"./.././src/version.py" is generated by configure from "./.././src/version.py.in"

Comment 3 Dimitris Glezos 2007-06-13 15:38:07 UTC
POTFILES.in needs to be updated then to reference version.py.in instead of .py.

Comment 4 Dimitris Glezos 2007-06-13 15:44:42 UTC
Harald, I've opened a different bug for -netboot:

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244056

system-config-network needs to run `cd po && intltool-update --pot` correctly
(and so does -netboot).

Comment 5 Bug Zapper 2008-04-04 12:48:58 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.


Note You need to log in before you can comment on or make changes to this bug.